#include<bits/stdc++.h>
using namespace std;

int n,a[100005],t[100005],b[100005],k,r;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    for(int i=1;i<=n;i++){
        cin>>t[i];
        b[t[i]]=i;
    }
    r=n;
    b[0]=-1;
    while(r>1){
        for(int j=r-1;j>=1;j--){
            if(b[a[j]]==b[a[j+1]]){

            }else{
                r=j;
                k++;
                break;
            }
        }
    }
    cout<<k<<endl;
    return 0;
}

